Package org.silverpeas.components.gallery.model

## Enum MediaCriteria.VISIBILITY

- java.lang.Object
- - java.lang.Enum<MediaCriteria.VISIBILITY>
  - - org.silverpeas.components.gallery.model.MediaCriteria.VISIBILITY

- All Implemented Interfaces:
    `Serializable`, `Comparable<MediaCriteria.VISIBILITY>`
  Enclosing class:
    MediaCriteria

      public static enum MediaCriteria.VISIBILITY
      extends Enum<MediaCriteria.VISIBILITY>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BY_DEFAULT` |
    `FORCE_GET_ALL` |
    `HIDDEN_ONLY` |
    `VISIBLE_ONLY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaCriteria.VISIBILITY` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MediaCriteria.VISIBILITY[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BY_DEFAULT

          public static final MediaCriteria.VISIBILITY BY_DEFAULT

    - #### VISIBLE_ONLY

          public static final MediaCriteria.VISIBILITY VISIBLE_ONLY

    - #### HIDDEN_ONLY

          public static final MediaCriteria.VISIBILITY HIDDEN_ONLY

    - #### FORCE_GET_ALL

          public static final MediaCriteria.VISIBILITY FORCE_GET_ALL

  - ### Method Detail

    - #### values

          public static MediaCriteria.VISIBILITY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaCriteria.VISIBILITY c : MediaCriteria.VISIBILITY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaCriteria.VISIBILITY valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null